From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-weather-plugin/
Date: Thu, 7 Nov 2024 06:47:15 +0000 (UTC) [thread overview]
Message-ID: <1730962014.c5778774521453aa78f3117c033c0cf1b5a807b1.mgorny@gentoo> (raw)
commit: c5778774521453aa78f3117c033c0cf1b5a807b1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 7 06:46:54 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 7 06:46:54 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5778774
xfce-extra/xfce4-weather-plugin: Bump to 0.11.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
| 1 +
.../xfce4-weather-plugin-0.11.3.ebuild | 62 ++++++++++++++++++++++
2 files changed, 63 insertions(+)
--git a/xfce-extra/xfce4-weather-plugin/Manifest b/xfce-extra/xfce4-weather-plugin/Manifest
index f73ee624142c..2fde40a0fba6 100644
--- a/xfce-extra/xfce4-weather-plugin/Manifest
+++ b/xfce-extra/xfce4-weather-plugin/Manifest
@@ -1 +1,2 @@
DIST xfce4-weather-plugin-0.11.2.tar.bz2 3096214 BLAKE2B e12d4e0a888b5c9602a0aa0bd595b89bc76a30fa3c250c16c2ddf328d4183c752a624a5e282447b4c987ed4a9ed1dc8e7f9413b3107956e1f67e96fce7213ec8 SHA512 011868165b17501a8b5aacb0387c23be635a1f4037a49501a823cf4aeb2be77d40aad51a4f1d1ccb1057b49e82d4cce2b2cffb82d165cf695340fbab99665ae2
+DIST xfce4-weather-plugin-0.11.3.tar.bz2 3619984 BLAKE2B 45fa193cff7ef04be07944e5fad5dff3de79b5514589608c27917663f00a117cd2a1a34351cc32d2baa977c1e1298910e4de36fd21f504f6bc757bc5e2361783 SHA512 48d0fc1d96848f21196e86678e4aa78360a76ad79d0046b68713a79c9d8746ccffc02d1f6828ff9b14a39ec8b3251db179b02f9e4e77874d4ac8238cbc2353e3
diff --git a/xfce-extra/xfce4-weather-plugin/xfce4-weather-plugin-0.11.3.ebuild b/xfce-extra/xfce4-weather-plugin/xfce4-weather-plugin-0.11.3.ebuild
new file mode 100644
index 000000000000..d29b7029f1e1
--- /dev/null
+++ b/xfce-extra/xfce4-weather-plugin/xfce4-weather-plugin-0.11.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A weather plug-in for the Xfce desktop environment"
+HOMEPAGE="
+ https://docs.xfce.org/panel-plugins/xfce4-weather-plugin/start
+ https://gitlab.xfce.org/panel-plugins/xfce4-weather-plugin/
+"
+SRC_URI="
+ https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="upower"
+
+DEPEND="
+ >=dev-libs/glib-2.64.0
+ >=dev-libs/json-c-0.13.1:=
+ dev-libs/libxml2
+ >=net-libs/libsoup-2.42:2.4[ssl]
+ >=x11-libs/gtk+-3.22.0
+ >=xfce-base/libxfce4ui-4.14.0:=
+ >=xfce-base/libxfce4util-4.14.0:=
+ >=xfce-base/xfce4-panel-4.14.0:=
+ >=xfce-base/xfconf-4.12.0:=
+ upower? ( >=sys-power/upower-0.9.23 )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ # For GEONAMES_USERNAME, read README file and ask ssuominen@!
+ local myconf=(
+ $(use_enable upower)
+ GEONAMES_USERNAME=Gentoo
+ )
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2024-11-07 6:47 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-11-07 6:47 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 16:51 [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-weather-plugin/ Michał Górny
2024-11-23 16:44 Michał Górny
2024-11-23 16:20 Michał Górny
2024-11-23 8:45 Arthur Zamarin
2024-11-23 8:27 Arthur Zamarin
2024-03-23 14:36 Michał Górny
2024-03-23 13:39 Sam James
2024-03-23 13:39 Sam James
2024-03-08 13:01 Michał Górny
2023-06-11 19:19 Michał Górny
2023-06-11 18:38 Jakov Smolić
2023-06-11 18:38 Jakov Smolić
2023-04-21 19:25 Michał Górny
2022-07-27 8:11 Sam James
2022-06-19 13:36 Yixun Lan
2021-09-16 19:11 Sam James
2021-04-11 11:23 Michał Górny
2021-04-11 11:11 Sam James
2021-04-11 11:06 Sam James
2021-02-11 22:11 Michał Górny
2020-12-20 20:34 Michał Górny
2020-12-20 19:07 Thomas Deutschmann
2020-11-09 21:29 Michał Górny
2020-05-04 9:40 Michał Górny
2020-04-19 18:24 Agostino Sarubbo
2020-04-18 9:18 Agostino Sarubbo
2020-02-25 21:07 Michał Górny
2019-10-20 10:24 Michał Górny
2019-10-11 14:13 Michał Górny
2019-10-10 18:35 Mikle Kolyada
2019-10-10 18:31 Mikle Kolyada
2019-08-13 12:10 Michał Górny
2019-08-11 20:17 Michał Górny
2019-04-08 19:17 Michał Górny
2019-04-07 14:43 Mikle Kolyada
2019-04-07 14:41 Mikle Kolyada
2019-04-07 8:29 Michał Górny
2019-03-25 14:57 Michał Górny
2019-03-23 14:26 Michał Górny
2018-12-08 21:57 Mikle Kolyada
2018-11-15 17:04 Thomas Deutschmann
2018-11-12 14:10 Mikle Kolyada
2018-09-24 16:29 Michał Górny
2018-07-10 12:29 Michał Górny
2018-03-25 17:27 Michał Górny
2018-01-05 11:33 Mikle Kolyada
2018-01-01 10:11 Michał Górny
2017-10-12 7:32 Michał Górny
2017-06-09 7:39 Michał Górny
2017-02-16 21:06 Michał Górny
2016-09-03 12:07 Michał Górny
2016-06-23 15:07 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1730962014.c5778774521453aa78f3117c033c0cf1b5a807b1.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox